package de.tuberlin.tfs.ocl.metamodel.expressions;

// import java.util.*;
// import de.tuberlin.tfs.ocl.metamodel.types.*;
import de.tuberlin.tfs.ocl.metamodel.converter.*;
import ru.novosoft.uml.foundation.core.*;
// import ru.novosoft.uml.foundation.data_types.*;
// import ru.novosoft.uml.behavior.common_behavior.*;


public class MAttributeCallExpImpl extends MModelPropertyCallExpImpl implements MAttributeCallExp {

	protected MAttribute referredAttribute;


	/** Getter for property referredAttribute.
	 * @return Value of property referredAttribute.
	 */
	public MAttribute getReferredAttribute() {
		return referredAttribute;
	}

	/** Setter for property referredAttribute.
	 * @param referredAttribute value of property referredAttribute.
	 */
	public void  setReferredAttribute(MAttribute referredAttribute) {
		this.referredAttribute = referredAttribute;
	}



	public String convert2OclString () throws NoSuchAttributeException {
		OclConverter.message("<MAttributeCallExp>");

		StringBuffer strB = new StringBuffer();

		if (getSource() != null) {
			OclConverter.message("source found.");
			strB.append (getSource().convert2OclString() + ".");
		}
		else OclConverter.message("no source found.");
		
		OclConverter.checkAttribute(referredAttribute, "referred attribute", this);
		OclConverter.checkAttribute(referredAttribute.getName(),
		  "name of referred attribute", this);

		strB.append(referredAttribute.getName());

		OclConverter.message("</MAttributeCallExp>");
		return strB.toString();
	}

}
