package de.tuberlin.tfs.ocl.metamodel.expressions;

// import java.util.*;
// import de.tuberlin.tfs.ocl.metamodel.types.*;
import de.tuberlin.tfs.ocl.metamodel.converter.*;
// import ru.novosoft.uml.foundation.core.*;
// import ru.novosoft.uml.foundation.data_types.*;
// import ru.novosoft.uml.behavior.common_behavior.*;


public class MIterateExpImpl extends MLoopExpImpl implements MIterateExp {

	protected MVariableDeclaration result;


	/** Getter for property result.
	 * @return Value of property result.
	 */
	public MVariableDeclaration getResult() {
		return result;
	}

	/** Setter for property result.
	 * @param result value of property result.
	 */
	public void  setResult(MVariableDeclaration result) {
		this.result = result;
	}



	public String convert2OclString () throws NoSuchAttributeException {
		// e.g. iterate( a ; b | exp )

		OclConverter.message("<MIterateExp>");

		StringBuffer strB = new StringBuffer();

		strB.append("iterate(");

		OclConverter.checkAttribute(iterator, "iterator", this);

		strB.append(iterator.convert2OclString() );

		OclConverter.checkAttribute(iterator.getType(), "type of iterator", this);

		strB.append(" : " + iterator.getType().getName() + " ; ");

		OclConverter.checkAttribute(result, "result", this);

		strB.append(result.convert2OclString() );

		OclConverter.checkAttribute(result.getType(), "type of result", this);

		strB.append(" : " + result.getType().getName() + " | ");

		OclConverter.checkAttribute(body, "body", this);

		strB.append(body.convert2OclString() + ")");

		OclConverter.message("</MIterateExp>");
		return strB.toString();

	}

}
