package de.tuberlin.tfs.ocl.metamodel.expressions;

// import java.util.*;
// import de.tuberlin.tfs.ocl.metamodel.types.*;
import de.tuberlin.tfs.ocl.metamodel.converter.*;
import ru.novosoft.uml.foundation.core.*;
// import ru.novosoft.uml.foundation.data_types.*;
// import ru.novosoft.uml.behavior.common_behavior.*;


public interface MOclExpression extends MModelElement {

	/** Getter for property appliedProperty.
	 * @return Value of property appliedProperty.
	 */
	public MPropertyCallExp getAppliedProperty();

	/** Setter for property appliedProperty.
	 * @param appliedProperty value of property appliedProperty.
	 */
	public void  setAppliedProperty(MPropertyCallExp appliedProperty);

	/** Getter for property type.
	 * @return Value of property type.
	 */
	public MClassifier getType();

	/** Setter for property type.
	 * @param type value of property type.
	 */
	public void  setType(MClassifier type);

	/** Getter for property parentOperation.
	 * @return Value of property parentOperation.
	 */
	public MOperationCallExp getParentOperation();

	/** Setter for property parentOperation.
	 * @param parentOperation value of property parentOperation.
	 */
	public void  setParentOperation(MOperationCallExp parentOperation);

	/** Getter for property initializedVariable.
	 * @return Value of property initializedVariable.
	 */
	public MVariableDeclaration getInitializedVariable();

	/** Setter for property initializedVariable.
	 * @param initializedVariable value of property initializedVariable.
	 */
	public void  setInitializedVariable(MVariableDeclaration initializedVariable);



	public String convert2OclString () throws NoSuchAttributeException;

}
