package de.tuberlin.tfs.ocl.metamodel.expressions;

import java.util.*;
// import de.tuberlin.tfs.ocl.metamodel.types.*;
import de.tuberlin.tfs.ocl.metamodel.converter.*;
// import ru.novosoft.uml.foundation.core.*;
// import ru.novosoft.uml.foundation.data_types.*;
import ru.novosoft.uml.behavior.common_behavior.*;


public interface MOclMessageExp extends MOclExpression {

	/** Getter for property arguments.
	 * @return Value of property arguments.
	 */
	public List getArguments();
	/** Setter for property arguments.
	 */
	public void  setArguments(List arguments);
	/** Adder for property arguments.
	 */
	public void addArguments(MOclMessageArg arguments);
	/** Remover for property arguments.
	 */
	public void removeArguments(MOclMessageArg arguments);
	/** Getter for property target.
	 * @return Value of property target.
	 */
	public MOclExpression getTarget();

	/** Setter for property target.
	 * @param target value of property target.
	 */
	public void  setTarget(MOclExpression target);

	/** Getter for property calledOperation.
	 * @return Value of property calledOperation.
	 */
	public MCallAction getCalledOperation();

	/** Setter for property calledOperation.
	 * @param calledOperation value of property calledOperation.
	 */
	public void  setCalledOperation(MCallAction calledOperation);

	/** Getter for property sentSignal.
	 * @return Value of property sentSignal.
	 */
	public MSendAction getSentSignal();

	/** Setter for property sentSignal.
	 * @param sentSignal value of property sentSignal.
	 */
	public void  setSentSignal(MSendAction sentSignal);



	public String convert2OclString () throws NoSuchAttributeException;

}
