/*
 * Test.java
 *
 * Created on 10. Juli 2002, 18:57
 *
 * $Id: Test.java,v 1.1 2004/10/14 14:10:50 frank Exp $
 */
package de.tuberlin.tfs.ocl.metamodel.test;

import de.tuberlin.tfs.ocl.metamodel.converter.NoSuchAttributeException;
// import de.tuberlin.tfs.ocl.metamodel.types.*;

import java.util.ArrayList;
import java.util.Iterator;


/**
 *
 * @author  jgusulde
 */
public class Test {
    ArrayList oclMetaModelList = new ArrayList();

    /** Creates a new instance of Test */
    public Test() {
        oclMetaModelList.add(new OclMetaModel1());
        oclMetaModelList.add(new OclMetaModel2());
        oclMetaModelList.add(new OclMetaModel3());
        oclMetaModelList.add(new OclMetaModel4());
        oclMetaModelList.add(new OclMetaModel5());

        oclMetaModelList.add(new OclMetaModel11());
        oclMetaModelList.add(new OclMetaModel12());
        oclMetaModelList.add(new OclMetaModel13());
    }

    public void run() {
        Iterator i = oclMetaModelList.iterator();
        OclMetaModelInstance model = null;

        while (i.hasNext()) {
            model = (OclMetaModelInstance) i.next();
            System.out.println("Erwarteter OclString:\n" +
                model.getOclString());

            try {
                System.out.println("Ergebnis aus convert2Ocl:\n" +
                    model.getOclConstraint().convert2OclString());
            } catch (NoSuchAttributeException e) {
                e.printStackTrace();
                System.out.println(e.getMessage());
            }
        }
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Test test = new Test();
        test.run();
    }
}
