package de.tuberlin.tfs.ocl.metamodel.types;

// import de.tuberlin.tfs.ocl.types.*;
// import ru.novosoft.uml.gen.mmm.*;
// import ru.novosoft.uml.foundation.core.*;
// import ru.novosoft.uml.foundation.data_types.*;
// import ru.novosoft.uml.behavior.common_behavior.*;


public class MOclConstraintKind {

  public static final int _INV = 0;
  public static final MOclConstraintKind INV = new MOclConstraintKind(_INV, "inv");
  public static final int _PRE = 1;
  public static final MOclConstraintKind PRE = new MOclConstraintKind(_PRE,"pre");
  public static final int _POST = 2;
  public static final MOclConstraintKind POST = new MOclConstraintKind(_POST,"post");
  public static final int _DEF = 3;
  public static final MOclConstraintKind DEF = new MOclConstraintKind(_DEF,"def");
  
  private int _value;
  private String _name;
  private MOclConstraintKind(int n, String name)
  {
    this._value = n;
    this._name = name;
  }
  public int getValue()
  {
    return _value;
  }
  public String getName()
  {
    return _name;
  }
}
