/**
 * (c) Copyright group Vilapower
 *
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0 
 * which accompanies this distribution, and is available at
 * http://www.tfs.cs.tu-berlin.de/vila
 * 
 * Contributors:
 *     	Eduard Weiss
 * 		Tony Modica
 * 		Frank Hermann
 * 		Holger Endert
 * 
 */
package vocleditor.figure;



import org.eclipse.draw2d.BorderLayout;
import org.eclipse.draw2d.Label;
import org.eclipse.draw2d.PositionConstants;
import org.eclipse.draw2d.TitleBarBorder;

import vocleditor.editors.VOCLEditorConstants;

public class LetExpFigure extends BoolExpFigure {
	
	protected Label variable;

	/**
	 * @param v
	 * @param type
	 */
	public LetExpFigure(boolean v, String type, String var) {
		super(v, type);
		variable=new  Label(var);
		variable.setFont(VOCLEditorConstants.font);
		
		TitleBarBorder firstborder=new TitleBarBorder("LET");
		firstborder.setBackgroundColor(VOCLEditorConstants.titleColor);
		firstborder.setTextAlignment(PositionConstants.CENTER);
		firstborder.setFont(VOCLEditorConstants.font);
		firstPanel.setBorder(firstborder);
		firstPanel.add(variable,BorderLayout.TOP);
		
		TitleBarBorder secondborder=new TitleBarBorder("IN");
		secondborder.setBackgroundColor(VOCLEditorConstants.titleColor);
		secondborder.setTextAlignment(PositionConstants.CENTER);
		secondborder.setFont(VOCLEditorConstants.font);
		secondPanel.setBorder(secondborder);
		
	}

}
