package de.tuberlin.tfs.ocl.metamodel.expressions;

import java.util.*;
// import de.tuberlin.tfs.ocl.metamodel.types.*;
import de.tuberlin.tfs.ocl.metamodel.converter.*;
import ru.novosoft.uml.foundation.core.*;
// import ru.novosoft.uml.foundation.data_types.*;
// import ru.novosoft.uml.behavior.common_behavior.*;


public class MAssociationEndCallExpImpl extends MNavigationCallExpImpl implements MAssociationEndCallExp {

	protected MAssociationEnd referredAssociationEnd;


	/** Getter for property referredAssociationEnd.
	 * @return Value of property referredAssociationEnd.
	 */
	public MAssociationEnd getReferredAssociationEnd() {
		return referredAssociationEnd;
	}

	/** Setter for property referredAssociationEnd.
	 * @param referredAssociationEnd value of property referredAssociationEnd.
	 */
	public void  setReferredAssociationEnd(MAssociationEnd referredAssociationEnd) {
		this.referredAssociationEnd = referredAssociationEnd;
	}



	public String convert2OclString () throws NoSuchAttributeException {
		OclConverter.message("<MAssociationEndCallExp>");

		StringBuffer strB = new StringBuffer();

		if (source != null) {
			OclConverter.message("source found.");
			strB.append (source.convert2OclString() + ".");
		}
		else OclConverter.message("source not found.");

		OclConverter.checkAttribute(referredAssociationEnd,
		  "referred association end", this);
		  
		OclConverter.checkAttribute(referredAssociationEnd.getName(),
		  "name of referred association end", this);
		
		strB.append (referredAssociationEnd.getName() );
		
		if (qualifiers != null) {
			strB.append ("[");

			Iterator i = qualifiers.iterator();
			if (i.hasNext()) strB.append( ((MOclExpression) i.next()).convert2OclString());
			
			while (i.hasNext())
				strB.append ("," + ((MOclExpression) i.next()).convert2OclString());

			strB.append("]");
		}

		return strB.toString();
	}

}
