package de.tuberlin.tfs.ocl.metamodel.expressions;

import de.tuberlin.tfs.ocl.metamodel.converter.NoSuchAttributeException;


public interface MIfExp extends MOclExpression {

	/** Getter for property condition.
	 * @return Value of property condition.
	 */
	public MOclExpression getCondition();

	/** Setter for property condition.
	 * @param condition value of property condition.
	 */
	public void  setCondition(MOclExpression condition);

	/** Getter for property theExpression.
	 * @return Value of property theExpression.
	 */
	public MOclExpression getTheExpression();

	/** Setter for property theExpression.
	 * @param theExpression value of property theExpression.
	 */
	public void  setTheExpression(MOclExpression theExpression);

	/** Getter for property elseExpression.
	 * @return Value of property elseExpression.
	 */
	public MOclExpression getElseExpression();

	/** Setter for property elseExpression.
	 * @param elseExpression value of property elseExpression.
	 */
	public void  setElseExpression(MOclExpression elseExpression);



	public String convert2OclString () throws NoSuchAttributeException;

}
