package de.tuberlin.tfs.ocl.metamodel.expressions;

import java.util.*;
// import de.tuberlin.tfs.ocl.metamodel.types.*;
import de.tuberlin.tfs.ocl.metamodel.converter.*;
import ru.novosoft.uml.foundation.core.*;
// import ru.novosoft.uml.foundation.data_types.*;
// import ru.novosoft.uml.behavior.common_behavior.*;


public interface MOperationCallExp extends MModelPropertyCallExp {

	/** Getter for property arguments.
	 * @return Value of property arguments.
	 */
	public List getArguments();
	/** Setter for property arguments.
	 */
	public void  setArguments(List arguments);
	/** Adder for property arguments.
	 */
	public void addArguments(MOclExpression arguments);
	/** Remover for property arguments.
	 */
	public void removeArguments(MOclExpression arguments);
	/** Getter for property referredOperation.
	 * @return Value of property referredOperation.
	 */
	public MOperation getReferredOperation();

	/** Setter for property referredOperation.
	 * @param referredOperation value of property referredOperation.
	 */
	public void  setReferredOperation(MOperation referredOperation);



	public String convert2OclString () throws NoSuchAttributeException;

}
