package de.tuberlin.tfs.ocl.metamodel.expressions;

import java.util.*;
// import de.tuberlin.tfs.ocl.metamodel.types.*;
import de.tuberlin.tfs.ocl.metamodel.converter.*;
// import ru.novosoft.uml.foundation.core.*;
// import ru.novosoft.uml.foundation.data_types.*;
// import ru.novosoft.uml.behavior.common_behavior.*;


public class MTupleLiteralExpImpl extends MLiteralExpImpl implements MTupleLiteralExp {

	protected ArrayList tuplePart;


	/** Getter for property tuplePart.
	 */
	public Collection getTuplePart() {
		if( this.tuplePart == null) {
			return new ArrayList();
		}
		return new ArrayList(tuplePart);
	}

	/** Setter for property tuplePart.
	 */
	public void  setTuplePart(Collection tuplePart) {
		//maybe unset some link Information ????
		this.tuplePart = new ArrayList(tuplePart);
	}

	/** Adder for property tuplePart.
	 */
	public void addTuplePart(MTupleLiteralExpPart tuplePart) {
		if(this.tuplePart == null) {
			this.tuplePart = new ArrayList();
		}
		this.tuplePart.add(tuplePart);
		//tuplePart.internalSetEnum(this);
	}

	/** Remover for property tuplePart.
	 */
	public void removeTuplePart(MTupleLiteralExpPart tuplePart) {
		if(this.tuplePart == null) {
			this.tuplePart = new ArrayList();
		}
		this.tuplePart.remove(tuplePart);
		//tuplePart.internalSetEnum(null);
	}




	public String convert2OclString () throws NoSuchAttributeException {
		OclConverter.message("<MTupleLiteralExp>");
		StringBuffer strB = new StringBuffer();

		strB.append("(");

		for (Iterator i = tuplePart.iterator(); i.hasNext(); ) {
			strB.append ( ((MTupleLiteralExpPart) i.next() ).convert2OclString() );
			if (i.hasNext()) strB.append(", ");
		}

		strB.append(")");

		OclConverter.message("</MTupleLiteralExp>");
		return strB.toString();
	}

}
